package com.ozs.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.base.domain.BaseExpert;
import com.ozs.base.domain.BaseSupplier;

import java.util.List;

/**
 * 供应商管理
 *
 * @author sunhh
 */
public interface BaseSupplierService extends IService<BaseSupplier> {

    /**
     * 新增供应商
     * @param baseSupplier 供应商信息
     */
    int insertBaseSupplier(BaseSupplier baseSupplier);

    /**
     * 删除供应商
     * @param id 供应商ID
     */
    int deleteBaseSupplier(int id);

    /**
     * 修改供应商
     * @param baseSupplier 供应商信息
     */
    int updateBaseSupplier(BaseSupplier baseSupplier);

    /**
     * 查询供应商
     * @param baseSupplier 供应商信息
     */
    List<BaseSupplier> selectBaseSupplier(BaseSupplier baseSupplier);
}
